// All NoPicMip shaders just require a "nopicmip" option in
// the main body of the shader.  Everything else is the same.
// --Rhea
//
sprites/balloon3NoPicMip
{
	nopicmip
	nomipmaps
	{
		map sprites/balloon4.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}
burn_med_mrkNoPicMip
{
	nopicmip
	nomipmaps
	polygonOffset
	{
		map gfx/damage/burn_med_mrknpm.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen exactVertex
		alphaGen vertex
	}
}
bullet_mrkNoPicMip
{
	nopicmip
	nomipmaps
	polygonOffset
	{
		map gfx/damage/bullet_mrknpm.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
	}
}
hole_lg_mrkNoPicMip
{
	nopicmip
	nomipmaps
	polygonOffset
	{
		map gfx/damage/hole_lg_mrknpm.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
	}
}
plasma_mrkNoPicMip
{
	nopicmip
	nomipmaps
	polygonOffset
	{
		map gfx/damage/plasma_mrknpm.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

lightningBoltNoPicMip
{
	nopicmip
	nomipmaps
	cull none
	{
		map gfx/misc/lightning3npm.tga
		blendFunc GL_ONE GL_ONE
//		rgbgen wave sin 1 5.1 0 7.1
		rgbgen wave sin 1 0.5 0 7.1
		tcmod scale  2 1
		tcMod scroll -5 0
	}
	{
		map gfx/misc/lightning3npm.tga
		blendFunc GL_ONE GL_ONE
//		rgbgen wave sin 1 8.3 0 8.1
		rgbgen wave sin 1 0.8 0 8.1
		tcmod scale  -1.3 -1
		tcMod scroll -7.2 0
	}
}

lightningBoltNewNoPicMip
{
	nopicmip
	nomipmaps
	cull none
	{
		map gfx/misc/lightning3newnpm.tga
		blendFunc GL_ONE GL_ONE
//		rgbgen wave sin 1 5.1 0 7.1
		rgbgen wave sin 1 0.5 0 7.1
		tcmod scale  2 1
		tcMod scroll -5 0
	}
	{
		map gfx/misc/lightning3newnpm.tga
		blendFunc GL_ONE GL_ONE
//		rgbgen wave sin 1 8.3 0 8.1
		rgbgen wave sin 1 0.8 0 8.1
		tcmod scale  -1.3 -1
		tcMod scroll -7.2 0
	}
}

sprites/plasma1NoPicMip
{
	nopicmip
	nomipmaps
	cull disable
	{
		clampmap sprites/plasmaanpm.tga
		blendfunc GL_ONE GL_ONE
		tcMod rotate 931
	}
}
sprites/plasma1newNoPicMip
{
	nopicmip
	nomipmaps
	cull disable
	{
		clampmap sprites/plasmaanewnpm.tga
		blendfunc GL_ONE GL_ONE
		tcMod rotate 931
	}
}

plasmaExplosionNoPicMip
{
	nopicmip
	nomipmaps
	cull disable
	{
		clampmap models/weaphits/plasmaboom.tga
		blendfunc add
		tcMod stretch triangle .6 0.1 0 8
		tcmod rotate 999
		rgbGen wave inversesawtooth 0 1 0 1.5
	}
}

plasmanewExplosionNoPicMip
{
	nopicmip
	nomipmaps
	cull disable
	{
		clampmap models/weaphits/plasmanewboomnpm.tga
		blendfunc add
		tcMod stretch triangle .6 0.1 0 8
		tcmod rotate 999
		rgbGen wave inversesawtooth 0 1 0 1.5
	}
}

railDiscNoPicMip
{
	nopicmip
	nomipmaps
	sort nearest
	cull none
	deformVertexes wave 100 sin 0 .5 0 2.4
	{
		clampmap gfx/misc/raildisc_mono2npm.tga 
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
		tcMod rotate -30
	}
}

railCoreNoPicMip
{
	nopicmip
	nomipmaps
	sort nearest
	cull none
	{
		map gfx/misc/railcorethin_mononpm.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
		tcMod scroll -1 0
	}
}

railExplosionNoPicMip
{
	nopicmip
	nomipmaps
	cull disable
	{
		animmap 5 models/weaphits/ring02_1npm.tga models/weaphits/ring02_2npm.tga models/weaphits/ring02_3npm.tga models/weaphits/ring02_4npm.tga gfx/colors/blacknpm.tga
		alphaGen wave inversesawtooth 0 1 0 5
		blendfunc blend
	}
	{
		animmap 5 models/weaphits/ring02_2npm.tga models/weaphits/ring02_3npm.tga models/weaphits/ring02_4npm.tga gfx/colors/blacknpm.tga gfx/colors/blacknpm.tga
		alphaGen wave sawtooth 0 1 0 5
		blendfunc blend
	}
}

bulletExplosionNoPicMip
{
	nopicmip
	nomipmaps
	cull disable
	{
		animmap 5 models/weaphits/bullet1npm.tga  models/weaphits/bullet2npm.tga  models/weaphits/bullet3npm.tga gfx/colors/blacknpm.tga
		rgbGen wave inversesawtooth 0 1 0 5
		blendfunc add
	}
	{
		animmap 5 models/weaphits/bullet2npm.tga  models/weaphits/bullet3npm.tga  gfx/colors/blacknpm.tga gfx/colors/blacknpm.tga
		rgbGen wave sawtooth 0 1 0 5
		blendfunc add
	}
}

rocketExplosionNoPicMip
{
	nopicmip
	nomipmaps
	cull disable
	{
		animmap 8 models/weaphits/rlboom/rlboom_1npm.tga  models/weaphits/rlboom/rlboom_2npm.tga models/weaphits/rlboom/rlboom_3npm.tga models/weaphits/rlboom/rlboom_4npm.tga models/weaphits/rlboom/rlboom_5npm.tga models/weaphits/rlboom/rlboom_6npm.tga models/weaphits/rlboom/rlboom_7npm.tga models/weaphits/rlboom/rlboom_8npm.tga
		rgbGen wave inversesawtooth 0 1 0 8
		blendfunc add
	}
	{
		animmap 8 models/weaphits/rlboom/rlboom_2npm.tga models/weaphits/rlboom/rlboom_3npm.tga models/weaphits/rlboom/rlboom_4npm.tga models/weaphits/rlboom/rlboom_5npm.tga models/weaphits/rlboom/rlboom_6npm.tga models/weaphits/rlboom/rlboom_7npm.tga models/weaphits/rlboom/rlboom_8npm.tga gfx/colors/blacknpm.tga
		rgbGen wave sawtooth 0 1 0 8
		blendfunc add
	}
}

grenadeExplosionNoPicMip
{
	nopicmip
	nomipmaps
	cull disable
	{
		animmap 5 models/weaphits/glboom/glboom_1npm.tga  models/weaphits/glboom/glboom_2npm.tga models/weaphits/glboom/glboom_3npm.tga
		rgbGen wave inversesawtooth 0 1 0 5
		blendfunc add
	}
	{
		animmap 5 models/weaphits/glboom/glboom_2npm.tga  models/weaphits/glboom/glboom_3npm.tga gfx/colors/blacknpm.tga
		rgbGen wave sawtooth 0 1 0 5
		blendfunc add
	}
}

bfgExplosionNoPicMip
{
	nopicmip
	nomipmaps
	cull disable
	{
		animmap 5 models/weaphits/bfgboom/bfgboom_1npm.tga  models/weaphits/bfgboom/bfgboom_2npm.tga models/weaphits/bfgboom/bfgboom_3npm.tga
		rgbGen wave inversesawtooth 0 1 0 5
		blendfunc add
	}
	{
		animmap 5 models/weaphits/bfgboom/bfgboom_2npm.tga models/weaphits/bfgboom/bfgboom_3npm.tga gfx/colors/blacknpm.tga
		rgbGen wave sawtooth 0 1 0 5
		blendfunc add
	}
}

// spurt of blood at point of impact
bloodExplosionNoPicMip
{
	nopicmip
	nomipmaps
	cull disable
	{
		animmap 5 models/weaphits/blood201npm.tga models/weaphits/blood202npm.tga models/weaphits/blood203npm.tga models/weaphits/blood204npm.tga models/weaphits/blood205npm.tga
		blendfunc blend
	}
}


smokePuffNoPicMip
{
	nopicmip
	nomipmaps
	cull disable
	entityMergable		// allow all the sprites to be merged together
	{
		map gfx/misc/smokepuff3npm.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

shotgunSmokePuffNoPicMip
{
	nopicmip
	nomipmaps
	cull disable
	{
		map gfx/misc/smokepuff2bnpm.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen entity		
		rgbGen entity
	}
}
